OrcProto.RowIndexOrBuilder (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Interface OrcProto.RowIndexOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    OrcProto.RowIndex, OrcProto.RowIndex.Builder
  Enclosing class:
    OrcProto

      public static interface OrcProto.RowIndexOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrcProto.RowIndexEntry` | `getEntry(int index)` `repeated .orc.proto.RowIndexEntry entry = 1;`
    `int` | `getEntryCount()` `repeated .orc.proto.RowIndexEntry entry = 1;`
    `List<OrcProto.RowIndexEntry>` | `getEntryList()` `repeated .orc.proto.RowIndexEntry entry = 1;`
    `OrcProto.RowIndexEntryOrBuilder` | `getEntryOrBuilder(int index)` `repeated .orc.proto.RowIndexEntry entry = 1;`
    `List<? extends OrcProto.RowIndexEntryOrBuilder>` | `getEntryOrBuilderList()` `repeated .orc.proto.RowIndexEntry entry = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### getEntryList

          List<OrcProto.RowIndexEntry> getEntryList()

      `repeated .orc.proto.RowIndexEntry entry = 1;`

    - #### getEntry

          OrcProto.RowIndexEntry getEntry(int index)

      `repeated .orc.proto.RowIndexEntry entry = 1;`

    - #### getEntryCount

          int getEntryCount()

      `repeated .orc.proto.RowIndexEntry entry = 1;`

    - #### getEntryOrBuilderList

          List<? extends OrcProto.RowIndexEntryOrBuilder> getEntryOrBuilderList()

      `repeated .orc.proto.RowIndexEntry entry = 1;`

    - #### getEntryOrBuilder

          OrcProto.RowIndexEntryOrBuilder getEntryOrBuilder(int index)

      `repeated .orc.proto.RowIndexEntry entry = 1;`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.